Name:		fio
Version:	3.25
Release:	%mkrel 2
Summary:	A flexible I/O tester/benchmarker
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://github.com/axboe/fio
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.xz
Patch1:		fio-version.patch
BuildRequires:	libaio-devel
BuildRequires:	zlib-devel
BuildRequires:	python3-devel

%description
fio is an I/O tool meant to be used both for benchmark and
stress/hardware verification.
It has support for 9 different types of I/O engines
(sync, mmap, libaio, posixaio, SG v3, splice, null, network, syslet),
I/O priorities (for newer Linux kernels), rate I/O, forked or
threaded jobs, and much more. It can work on block devices as well
as files. fio accepts job descriptions in a simple-to-understand
text format. Several example job files are included. fio displays
all sorts of I/O performance information.
It supports Linux, FreeBSD, and OpenSolaris.

%prep
%setup -q
%apply_patches

pathfix.py -i %{__python3} -pn \
 tools/fio_jsonplus_clat2csv \
 tools/fiologparser.py \
 tools/hist/*.py \
 tools/plot/fio2gnuplot \
 t/steadystate_tests.py

%build

./configure --prefix=/usr --disable-native --enable-gfio --extra-cflags="$CFLAGS"
 
%make_build

%install
%make_install prefix=%{_prefix} mandir=%{_mandir}

%files
%doc HOWTO README COPYING REPORTING-BUGS
%doc examples
%{_bindir}/gfio
%{_bindir}/fio
%{_bindir}/fio_generate_plots
%{_bindir}/fio_jsonplus_clat2csv
%{_bindir}/fio-btrace2fio
%{_bindir}/fio-dedupe
%{_bindir}/fio-genzipf
%{_bindir}/fio-histo-log-pctiles.py
%{_bindir}/fio-verify-state
%{_bindir}/fio2gnuplot
%{_bindir}/fiologparser.py
%{_bindir}/fiologparser_hist.py
%{_bindir}/genfio
%dir %{_datadir}/fio
%{_datadir}/fio/graph2D.gpm
%{_datadir}/fio/graph3D.gpm
%{_datadir}/fio/math.gpm
%{_mandir}/man1/*


%changelog
* Sat Jan 02 2021 tex - 3.25-2pclos2020
- use configure --disable-native

* Mon Dec 21 2020 tex - 3.25-1pclos2020
- create pkg
